Bug 13318 - Durable Handles reconnect fails in a cluster when the cluster fs uses different device ids
Durable Handles reconnect fails in a cluster when the cluster fs uses differe...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-02 14:39 UTC by Ralph Böhme
Modified: 2018-07-26 04:24 UTC (History)
3 users (show)

See Also:


Attachments
WIP patch for 4.7, should also apply to master (1.65 KB, patch)
2018-03-02 15:38 UTC, Ralph Böhme
no flags Details
Patch for 4.7 and 4.8 cherry-picked from master (1.81 KB, patch)
2018-07-07 14:55 UTC, Ralph Böhme
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-03-02 14:39:33 UTC
Log message:

[ 1 2018/03/02 12:35:57.877757 ../source3/smbd/durable.c:317 vfs_default_durable_reconnect_check_stat]                                                                                         
  vfs_default_durable_reconnect (FILE): stat_ex.st_ex_dev differs: cookie:39 != stat:43, denying durable reconnect

This will happen on most cluster filesystems, even though vfs_fileid is used.
Comment 1 Ralph Böhme 2018-03-02 15:38:31 UTC
Created attachment 14015 [details]
WIP patch for 4.7, should also apply to master
Comment 2 Jeremy Allison 2018-03-06 22:09:29 UTC
Looks the correct solution to me. Let me know when you want to move this along.
Comment 3 Ralph Böhme 2018-07-07 14:55:23 UTC
Created attachment 14313 [details]
Patch for 4.7 and 4.8 cherry-picked from master
Comment 4 Jeremy Allison 2018-07-09 22:05:27 UTC
Reassigning to Karolin for inclusion in 4.8.next, 4.7.next.
Comment 5 Karolin Seeger 2018-07-12 11:10:30 UTC
Pushed to autobuild-v4-[8,7]-test.
Comment 6 Karolin Seeger 2018-07-26 04:24:38 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Double-checked that it is included in v4-9-test also.

Closing out bug report.

Thanks!